Subject: bug#58137: 28.1; M-x setenv RET PATH RET should default to the current $PATH

From: Gregory Heytings <[email-masked]>
Date: Wed, 28 Sep 2022 12:42:23 +0000

>
> I wish M-x setenv, when setting a variable that already has a value, 
> defaulted to that value (instead of the empty string).
>
> This would make it easier to make minor adjustments to a long messy 
> value. The history is already there (M-p), but it's input history. If 
> the variable was initially set outside of Emacs, it won't be in history.
>

That's what Emacs calls "future history", which you can get with M-x 
setenv RET PATH RET M-n.  It defaults to the value of (getenv "PATH"). 
Is that what you want?